<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
            <span jhiTranslate="mpmApp.communicationEventCDB.home.title">Communication Event CDBS</span>
            </h5>
            <p-dataTable
                [value]="communicationEventCDBS"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idCommunicationEvent"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['../communication-event-cdb-new']">
                        </button>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.communicationEventCDB.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.communicationEventCDB.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.idOrder'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.idOrder}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.hobby'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.hobby}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.homeStatus'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.homeStatus}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.expenditureOneMonth'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.expenditureOneMonth}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.job'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.job}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.lastEducation'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.lastEducation}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.mobilePhoneOwnershipStatus'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.mobilePhoneOwnershipStatus}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.infoAboutHonda'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.infoAboutHonda}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.vehicleBrandOwner'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.vehicleBrandOwner}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.vehicleTypeOwner'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.vehicleTypeOwner}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.buyFor'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.buyFor}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.vehicleUser '|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.vehicleUser }}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.communicationEventCDB.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../communication-event-cdb', rowData.idCommunicationEvent]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['../communication-event-cdb/'+ rowData.idCommunicationEvent + '/edit']"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idCommunicationEvent)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>